New user's registration have been closed due to high spamming and low trafic on this forum. Please contact forum admins directly if you need an account. Thanks !
Bubbagen and logitechmediaserver-bin (Solved)
Re: Bubbagen and logitechmediaserver-bin (Solved)
The symlink not being created seems to have been in the installer package for quite some time. I have corrected this in the overlay.
-
- Posts: 25
- Joined: 23 Jan 2007, 05:18
Re: Bubbagen and logitechmediaserver-bin (Solved)
Hi guys,
The results from the script
ls -l /usr/local/sbin/install_on_sda.sh
-rwxr-xr-x 1 root root 5862 Aug 17 10:45 /usr/local/sbin/install_on_sda.sh
b3 ~ #
Scriptb3 /usr/local/sbin # cat install_on_sda.sh
#!/bin/bash
# Copyright (c) 2015 sakaki <sakaki@deciban.com>
# License: GPL 3.0+
# NO WARRANTY
#
# Installs Gentoo system on /dev/sda, using default settings.
# Adapt to your requirements.
# WARNING - will delete the contents of /dev/sda!
#
# Changes:
#
# May 2016 - gordonb3 <gordon@bosvangennip.nl>
# - auto detect what partition table type to use ('dos' or 'gpt')
# will force 'gpt' if disk size > 2GiB
# otherwise use existing or default to 'dos' if unsupported
# - create a fourth partition to hold /home
# prevents users filling up the root partition through exposed services
#
# Aug 2018 - gordonb3 <gordon@bosvangennip.nl>
# - conditionally keep home partition when upgrading from a system that
# already has a correct disk layout
# - adjust for modified boot partition content with uImage using kexec to
# load the final kernel
#
set -e
set -u
set -o pipefail
LOG=/var/log/gentoo_install.log
WIPE=false
SIZE=20
if [ -f /root/install.ini ]; then
source /root/install.ini
fi
if (echo $SIZE | grep -qvE "^[0-9]+$"); then
echo "SIZE is not a number. Please fix install.ini - exiting" >&2
exit 1
fi
if (grep -q "/dev/sda" /proc/mounts); then
echo "Please unmount any /dev/sda partitions first - exiting" >&2
exit 1
fi
if ( ! $WIPE ); then
# get drive partition info
sdapartinfo=$(fdisk -l /dev/sda | grep -e "sda[1-9]" | grep "Linux" | awk '{print $1$5$7}')
if (echo $sdapartinfo | grep -qv sda1); then
# partition table is empty
WIPE=true
else
# verify current partition layout
if (echo $sdapartinfo | grep -qvE "sda164Mfile.*sda21Gswap.*sda3[2-9][0-9]+Gfile.*sda4"); then
# current partition table on /dev/sda is not suited for this installation
WIPE=true
fi
fi
fi
STEP=1
NSTEPS=4
echo "Install Gentoo -> /dev/sda (B3's internal HDD)"
echo
if ( $WIPE ); then
echo "WARNING - will delete anything currently on HDD"
echo "(including any existing Excito Debian system)"
else
echo "WARNING - will delete existing system on HDD"
echo "your home partition (/dev/sda4) will be retained"
fi
echo "Please make sure you have adequate backups before proceeding"
echo
echo "Type (upper case) INSTALL and press Enter to continue"
read -p "Any other entry quits without installing: " REPLY
if [[ ! "${REPLY}" == "INSTALL" ]]
then
echo "You did not type INSTALL - exiting" >&2
exit 1
fi
echo "Installing: check '$LOG' in case of errors"
if ( $WIPE ); then
NSTEPS=$((NSTEPS+1))
echo "Step $STEP of $NSTEPS: creating new \"${ptable}\" partition table on /dev/sda..."
STEP=$((STEP+1))
if [ $SIZE -lt 20 ];then
echo "NOTICE - resetting SIZE to the default value of 20GiB as the specified value is too small to reliably run our system."
SIZE=20
fi
ptable=$(fdisk -l /dev/sda | grep "Disklabel type" | awk '{print $NF}')
if [ ${ptable} != "dos" ] && [ ${ptable} != "gpt" ]; then
echo "NOTICE - Unknown partition table or disk not initialized"
ptable=dos
fi
if [ ${ptable} != "gpt" ]; then
if [ ! -z $(fdisk -l /dev/sda | grep TiB | awk '{print 4000000000-$(NF-1)}' | grep "^\-") ]; then
ptable=gpt
fi
fi
# create new partition table
if [ ${ptable} == "dos" ]; then
echo -e "o\nw" | fdisk /dev/sda >>"${LOG}" 2>&1
else
echo -e "g\nw" | fdisk /dev/sda >>"${LOG}" 2>&1
fi
echo 1 > /sys/block/sda/device/rescan
# create partitions
echo -e "n\n1\n\n+64M\nn\n2\n\n+1G\nt\n2\n14\nn\n3\n\n+${SIZE}G\nn\n4\n\n\np\nw" | fdisk /dev/sda >>"${LOG}" 2>&1
fi
echo "Step $STEP of $NSTEPS: formatting partitions on /dev/sda..."
STEP=$((STEP+1))
echo 1 > /sys/block/sda/device/rescan
mkfs.ext3 -F -L "boot" /dev/sda1 >>"${LOG}" 2>&1
mkswap -L "swap" /dev/sda2 >>"${LOG}" 2>&1
mkfs.ext4 -F -L "root" /dev/sda3 >>"${LOG}" 2>&1
if ( $WIPE ); then
mkfs.ext4 -F -L "home" /dev/sda4 >>"${LOG}" 2>&1
fi
echo "Step $STEP of $NSTEPS: mounting boot and root partitions from /dev/sda..."
STEP=$((STEP+1))
mkdir -p /mnt/{sdaboot,sdaroot,sdahome} >>"${LOG}" 2>&1
mount /dev/sda1 /mnt/sdaboot >>"${LOG}" 2>&1
mount /dev/sda3 /mnt/sdaroot >>"${LOG}" 2>&1
mount /dev/sda4 /mnt/sdahome >>"${LOG}" 2>&1
echo "Step $STEP of $NSTEPS: copying system and bootfiles (please be patient)..."
STEP=$((STEP+1))
mkdir -p /mnt/sdaboot/boot >>"${LOG}" 2>&1
cp -ax /root/root-on-sda3-kernel/{uImage,config,System.map} /mnt/sdaboot/boot/ >>"${LOG}" 2>&1
if [ -e /root/root-on-sda3-kernel/boot.ini ]; then
# this is not our final kernel
cp -ax /root/root-on-sda3-kernel/boot.ini /mnt/sdaboot/ >>"${LOG}" 2>&1
mount /boot 2>/dev/null
cp -ax /boot/{vmlinuz*,config*,System.map*,firmware} /mnt/sdaboot/ >>"${LOG}" 2>&1
chmod -x /mnt/sdaboot/{config*,System.map*,firmware/*} >>"${LOG}" 2>&1
# make sure that we configure for the right init system
if (cat /proc/cmdline | grep -q systemd); then
# systemd init
if ( ! grep -q "^\s*INIT=" /mnt/sdaboot/boot.ini ); then
if ( grep -q "^\s*#\s*INIT=" /mnt/sdaboot/boot.ini ); then
sed "s/^\s*#\s*INIT=.*$/INIT=\"systemd\"/" -i /mnt/sdaboot/boot.ini
else
echo -e "\n# enable this to boot into systemd service manager (default: openrc)" >> /mnt/sdaboot/boot.ini
echo -e "INIT=\"systemd\"" >> /mnt/sdaboot/boot.ini
fi
fi
else
# openrc init
sed "s/^\s*INIT/#INIT/" -i /mnt/sdaboot/boot.ini
fi
fi
cp -ax /bin /dev /etc /lib /opt /root /sbin /tmp /usr /var /mnt/sdaroot/ >>"${LOG}" 2>&1
if ( $WIPE ); then
cp -ax /home/* /mnt/sdahome/ >>"${LOG}" 2>&1
else
cp -ax /home/admin /mnt/sdahome/ >>"${LOG}" 2>&1
fi
mkdir -p /mnt/sdaroot/{boot,home,media,mnt,proc,run,sys} >>"${LOG}" 2>&1
cp /root/fstab-on-b3 /mnt/sdaroot/etc/fstab >>"${LOG}" 2>&1
echo "Step $STEP of $NSTEPS: syncing filesystems and unmounting..."
STEP=$((STEP+1))
sync >>"${LOG}" 2>&1
umount -l /mnt/{sdaboot,sdaroot,sdahome} >>"${LOG}" 2>&1
rmdir /mnt/{sdaboot,sdaroot,sdahome} >>"${LOG}" 2>&1
echo 'All done! You can reboot into your new system now.'
The results from the script
ls -l /usr/local/sbin/install_on_sda.sh
-rwxr-xr-x 1 root root 5862 Aug 17 10:45 /usr/local/sbin/install_on_sda.sh
b3 ~ #
Scriptb3 /usr/local/sbin # cat install_on_sda.sh
#!/bin/bash
# Copyright (c) 2015 sakaki <sakaki@deciban.com>
# License: GPL 3.0+
# NO WARRANTY
#
# Installs Gentoo system on /dev/sda, using default settings.
# Adapt to your requirements.
# WARNING - will delete the contents of /dev/sda!
#
# Changes:
#
# May 2016 - gordonb3 <gordon@bosvangennip.nl>
# - auto detect what partition table type to use ('dos' or 'gpt')
# will force 'gpt' if disk size > 2GiB
# otherwise use existing or default to 'dos' if unsupported
# - create a fourth partition to hold /home
# prevents users filling up the root partition through exposed services
#
# Aug 2018 - gordonb3 <gordon@bosvangennip.nl>
# - conditionally keep home partition when upgrading from a system that
# already has a correct disk layout
# - adjust for modified boot partition content with uImage using kexec to
# load the final kernel
#
set -e
set -u
set -o pipefail
LOG=/var/log/gentoo_install.log
WIPE=false
SIZE=20
if [ -f /root/install.ini ]; then
source /root/install.ini
fi
if (echo $SIZE | grep -qvE "^[0-9]+$"); then
echo "SIZE is not a number. Please fix install.ini - exiting" >&2
exit 1
fi
if (grep -q "/dev/sda" /proc/mounts); then
echo "Please unmount any /dev/sda partitions first - exiting" >&2
exit 1
fi
if ( ! $WIPE ); then
# get drive partition info
sdapartinfo=$(fdisk -l /dev/sda | grep -e "sda[1-9]" | grep "Linux" | awk '{print $1$5$7}')
if (echo $sdapartinfo | grep -qv sda1); then
# partition table is empty
WIPE=true
else
# verify current partition layout
if (echo $sdapartinfo | grep -qvE "sda164Mfile.*sda21Gswap.*sda3[2-9][0-9]+Gfile.*sda4"); then
# current partition table on /dev/sda is not suited for this installation
WIPE=true
fi
fi
fi
STEP=1
NSTEPS=4
echo "Install Gentoo -> /dev/sda (B3's internal HDD)"
echo
if ( $WIPE ); then
echo "WARNING - will delete anything currently on HDD"
echo "(including any existing Excito Debian system)"
else
echo "WARNING - will delete existing system on HDD"
echo "your home partition (/dev/sda4) will be retained"
fi
echo "Please make sure you have adequate backups before proceeding"
echo
echo "Type (upper case) INSTALL and press Enter to continue"
read -p "Any other entry quits without installing: " REPLY
if [[ ! "${REPLY}" == "INSTALL" ]]
then
echo "You did not type INSTALL - exiting" >&2
exit 1
fi
echo "Installing: check '$LOG' in case of errors"
if ( $WIPE ); then
NSTEPS=$((NSTEPS+1))
echo "Step $STEP of $NSTEPS: creating new \"${ptable}\" partition table on /dev/sda..."
STEP=$((STEP+1))
if [ $SIZE -lt 20 ];then
echo "NOTICE - resetting SIZE to the default value of 20GiB as the specified value is too small to reliably run our system."
SIZE=20
fi
ptable=$(fdisk -l /dev/sda | grep "Disklabel type" | awk '{print $NF}')
if [ ${ptable} != "dos" ] && [ ${ptable} != "gpt" ]; then
echo "NOTICE - Unknown partition table or disk not initialized"
ptable=dos
fi
if [ ${ptable} != "gpt" ]; then
if [ ! -z $(fdisk -l /dev/sda | grep TiB | awk '{print 4000000000-$(NF-1)}' | grep "^\-") ]; then
ptable=gpt
fi
fi
# create new partition table
if [ ${ptable} == "dos" ]; then
echo -e "o\nw" | fdisk /dev/sda >>"${LOG}" 2>&1
else
echo -e "g\nw" | fdisk /dev/sda >>"${LOG}" 2>&1
fi
echo 1 > /sys/block/sda/device/rescan
# create partitions
echo -e "n\n1\n\n+64M\nn\n2\n\n+1G\nt\n2\n14\nn\n3\n\n+${SIZE}G\nn\n4\n\n\np\nw" | fdisk /dev/sda >>"${LOG}" 2>&1
fi
echo "Step $STEP of $NSTEPS: formatting partitions on /dev/sda..."
STEP=$((STEP+1))
echo 1 > /sys/block/sda/device/rescan
mkfs.ext3 -F -L "boot" /dev/sda1 >>"${LOG}" 2>&1
mkswap -L "swap" /dev/sda2 >>"${LOG}" 2>&1
mkfs.ext4 -F -L "root" /dev/sda3 >>"${LOG}" 2>&1
if ( $WIPE ); then
mkfs.ext4 -F -L "home" /dev/sda4 >>"${LOG}" 2>&1
fi
echo "Step $STEP of $NSTEPS: mounting boot and root partitions from /dev/sda..."
STEP=$((STEP+1))
mkdir -p /mnt/{sdaboot,sdaroot,sdahome} >>"${LOG}" 2>&1
mount /dev/sda1 /mnt/sdaboot >>"${LOG}" 2>&1
mount /dev/sda3 /mnt/sdaroot >>"${LOG}" 2>&1
mount /dev/sda4 /mnt/sdahome >>"${LOG}" 2>&1
echo "Step $STEP of $NSTEPS: copying system and bootfiles (please be patient)..."
STEP=$((STEP+1))
mkdir -p /mnt/sdaboot/boot >>"${LOG}" 2>&1
cp -ax /root/root-on-sda3-kernel/{uImage,config,System.map} /mnt/sdaboot/boot/ >>"${LOG}" 2>&1
if [ -e /root/root-on-sda3-kernel/boot.ini ]; then
# this is not our final kernel
cp -ax /root/root-on-sda3-kernel/boot.ini /mnt/sdaboot/ >>"${LOG}" 2>&1
mount /boot 2>/dev/null
cp -ax /boot/{vmlinuz*,config*,System.map*,firmware} /mnt/sdaboot/ >>"${LOG}" 2>&1
chmod -x /mnt/sdaboot/{config*,System.map*,firmware/*} >>"${LOG}" 2>&1
# make sure that we configure for the right init system
if (cat /proc/cmdline | grep -q systemd); then
# systemd init
if ( ! grep -q "^\s*INIT=" /mnt/sdaboot/boot.ini ); then
if ( grep -q "^\s*#\s*INIT=" /mnt/sdaboot/boot.ini ); then
sed "s/^\s*#\s*INIT=.*$/INIT=\"systemd\"/" -i /mnt/sdaboot/boot.ini
else
echo -e "\n# enable this to boot into systemd service manager (default: openrc)" >> /mnt/sdaboot/boot.ini
echo -e "INIT=\"systemd\"" >> /mnt/sdaboot/boot.ini
fi
fi
else
# openrc init
sed "s/^\s*INIT/#INIT/" -i /mnt/sdaboot/boot.ini
fi
fi
cp -ax /bin /dev /etc /lib /opt /root /sbin /tmp /usr /var /mnt/sdaroot/ >>"${LOG}" 2>&1
if ( $WIPE ); then
cp -ax /home/* /mnt/sdahome/ >>"${LOG}" 2>&1
else
cp -ax /home/admin /mnt/sdahome/ >>"${LOG}" 2>&1
fi
mkdir -p /mnt/sdaroot/{boot,home,media,mnt,proc,run,sys} >>"${LOG}" 2>&1
cp /root/fstab-on-b3 /mnt/sdaroot/etc/fstab >>"${LOG}" 2>&1
echo "Step $STEP of $NSTEPS: syncing filesystems and unmounting..."
STEP=$((STEP+1))
sync >>"${LOG}" 2>&1
umount -l /mnt/{sdaboot,sdaroot,sdahome} >>"${LOG}" 2>&1
rmdir /mnt/{sdaboot,sdaroot,sdahome} >>"${LOG}" 2>&1
echo 'All done! You can reboot into your new system now.'
Johan
---------------------------------
---------------------------------
Re: Bubbagen and logitechmediaserver-bin (Solved)
Okay, but what does it report when you run it?
-
- Posts: 25
- Joined: 23 Jan 2007, 05:18
Re: Bubbagen and logitechmediaserver-bin (Solved)
Nothing at all - it's ready for another input as soon as I type the command.
Johan
---------------------------------
---------------------------------
Re: Bubbagen and logitechmediaserver-bin (Solved)
That doesn't make sense...
Did you change anything in /root/install.ini?
Did you change anything in /root/install.ini?
Re: Bubbagen and logitechmediaserver-bin
Hi Gordon.Gordon wrote: 11 Oct 2018, 02:09 Looks like the owner is set incorrectly on that folder. Unsure why these files are even stored there - it must have made sense at some point but for this type of use they should not be in /etc but in /var/lib.
To fix your issue now ssh into the box (as root) and type the following on the command line:Code: Select all
chown -R logitechmediaserver:logitechmediaserver /etc/logitechmediaserver
Had to mask media-sound/logitechmediaserver-bin-7.8.0_p3 to get logitechmediaserver to work again.
Code: Select all
echo ">media-sound/logitechmediaserver-bin-7.8.0_p2" > /etc/portage/package.mask/logitechmediaserver
emerge --oneshot media-sound/logitechmediaserver-bin
-
- Posts: 25
- Joined: 23 Jan 2007, 05:18
Re: Bubbagen and logitechmediaserver-bin (Solved)
Hi Gordon,
Things are looking better but I'm stuck again. It was a new drive and I had to set it up - done.
install_on_sda.sh runs but returns
/usr/local/sbin/install_on_sda.sh: line 94: ptable: unbound variable
?
Things are looking better but I'm stuck again. It was a new drive and I had to set it up - done.
install_on_sda.sh runs but returns
/usr/local/sbin/install_on_sda.sh: line 94: ptable: unbound variable
?
Johan
---------------------------------
---------------------------------
Re: Bubbagen and logitechmediaserver-bin (Solved)
Aha. That is wrong indeed. Strange that it didn't pop up during testing here.
The `ptable` variable is only created in the block from lines 102-112, so that block should be moved up to start at line 93. I'll fix that shortly.
The `ptable` variable is only created in the block from lines 102-112, so that block should be moved up to start at line 93. I'll fix that shortly.
Re: Bubbagen and logitechmediaserver-bin
Can you indicate what problems you had with media-sound/logitechmediaserver-bin-7.8.0_p3 ?jallee wrote: 21 Oct 2018, 07:31 Hi Gordon.
Had to mask media-sound/logitechmediaserver-bin-7.8.0_p3 to get logitechmediaserver to work again.Code: Select all
echo ">media-sound/logitechmediaserver-bin-7.8.0_p2" > /etc/portage/package.mask/logitechmediaserver emerge --oneshot media-sound/logitechmediaserver-bin
Re: Bubbagen and logitechmediaserver-bin
Here is the log.Gordon wrote: 29 Oct 2018, 10:02Can you indicate what problems you had with media-sound/logitechmediaserver-bin-7.8.0_p3 ?jallee wrote: 21 Oct 2018, 07:31 Hi Gordon.
Had to mask media-sound/logitechmediaserver-bin-7.8.0_p3 to get logitechmediaserver to work again.Code: Select all
echo ">media-sound/logitechmediaserver-bin-7.8.0_p2" > /etc/portage/package.mask/logitechmediaserver emerge --oneshot media-sound/logitechmediaserver-bin

Code: Select all
b3 /home/jallee # emerge --oneshot media-sound/logitechmediaserver-bin
Calculating dependencies... done!
>>> Verifying ebuild manifests
>>> Emerging (1 of 1) media-sound/logitechmediaserver-bin-7.8.0_p3::bubba
>>> Installing (1 of 1) media-sound/logitechmediaserver-bin-7.8.0_p3::bubba
>>> Jobs: 1 of 1 complete Load avg: 1.38, 1.39, 1.37
* Messages for package media-sound/logitechmediaserver-bin-7.8.0_p3:
* Manually installed plugins should be placed in the following
* directory:
* /var/lib/logitechmediaserver/Plugins
*
* Logitech Media Server can be started with the following command:
* /etc/init.d/logitechmediaserver start
*
* Logitech Media Server can be automatically started on each boot
* with the following command:
* rc-update add logitechmediaserver default
*
* You might want to examine and modify the following configuration
* file before starting Logitech Media Server:
* /etc/conf.d/logitechmediaserver
*
* You may access and configure Logitech Media Server by browsing to:
* http://localhost:9000/
*
>>> Auto-cleaning packages...
>>> No outdated packages were found on your system.
* GNU info directory index is up-to-date.
b3 /home/jallee # /etc/init.d/logitechmediaserver start
* Caching service dependencies ... [ ok ]
* Starting Logitech Media Server ... [ ok ]
b3 /home/jallee # cat /var/log/logitechmediaserver/server.log
cat: /var/log/logitechmediaserver/server.log: No such file or directory
b3 /home/jallee # cat /opt/logitechmediaserver/Logs/server.log
[16-05-09 08:07:49.5921] main::init (368) Starting Logitech Media Server (v7.8.0, 1395409907, Thu Mar 27 13:32:48 PDT 2014) perl 5.020002
[16-05-09 08:07:49.6369] main::changeEffectiveUserAndGroup (984) Warning: Logitech Media Server must not be run as root! Trying user squeezeboxserver instead.
[16-05-09 08:07:49.6398] main::changeEffectiveUserAndGroup (992) Warning: User squeezeboxserver not found.
Code: Select all
b3 /etc # /etc/init.d/logitechmediaserver -d start
+ sourcex -e /etc/rc.conf
+ '[' -e = -e ']'
+ shift
+ '[' -e /etc/rc.conf ']'
+ . /etc/rc.conf
++ rc_shell=/sbin/sulogin
++ rc_depend_strict=NO
++ unicode=YES
++ rc_tty_number=12
+ '[' -d /etc/rc.conf.d ']'
+ _conf_d=/etc/init.d/../conf.d
+ _c=logitechmediaserver
+ '[' -n logitechmediaserver -a logitechmediaserver '!=' logitechmediaserver ']'
+ unset _c
+ sourcex -e /etc/init.d/../conf.d/logitechmediaserver.default
+ '[' -e = -e ']'
+ shift
+ '[' -e /etc/init.d/../conf.d/logitechmediaserver.default ']'
+ return 1
+ sourcex -e /etc/init.d/../conf.d/logitechmediaserver
+ '[' -e = -e ']'
+ shift
+ '[' -e /etc/init.d/../conf.d/logitechmediaserver ']'
+ . /etc/init.d/../conf.d/logitechmediaserver
++ LMS_OPTS=
+ unset _conf_d
+ sourcex /lib/rc/sh/runit.sh
+ '[' /lib/rc/sh/runit.sh = -e ']'
+ . /lib/rc/sh/runit.sh
+ sourcex /lib/rc/sh/s6.sh
+ '[' /lib/rc/sh/s6.sh = -e ']'
+ . /lib/rc/sh/s6.sh
++ '[' -z '' ']'
++ s6_service_path=/var/svc.d/logitechmediaserver
+ sourcex /lib/rc/sh/start-stop-daemon.sh
+ '[' /lib/rc/sh/start-stop-daemon.sh = -e ']'
+ . /lib/rc/sh/start-stop-daemon.sh
+ sourcex /lib/rc/sh/supervise-daemon.sh
+ '[' /lib/rc/sh/supervise-daemon.sh = -e ']'
+ . /lib/rc/sh/supervise-daemon.sh
+ sourcex /etc/init.d/logitechmediaserver
+ '[' /etc/init.d/logitechmediaserver = -e ']'
+ . /etc/init.d/logitechmediaserver
++ lms=logitechmediaserver
++ rundir=/run/logitechmediaserver
++ logdir=/var/log/logitechmediaserver
++ bindir=/opt/logitechmediaserver
++ datadir=/var/lib/logitechmediaserver
++ pidfile=/run/logitechmediaserver/logitechmediaserver.pid
++ cachedir=/var/lib/logitechmediaserver/cache
++ prefsdir=/var/lib/logitechmediaserver/preferences
++ lmsuser=logitechmediaserver
++ lmsbin=/opt/logitechmediaserver/slimserver.pl
+ yesno ''
+ '[' -z '' ']'
+ return 1
+ for _cmd in "$@"
+ '[' start '!=' status -a start '!=' describe ']'
+ '[' -n '' ']'
++ command -v cgroup_add_service
+ '[' cgroup_add_service = cgroup_add_service ']'
+ grep -qs /sys/fs/cgroup /proc/1/mountinfo
+ '[' -d /sys/fs/cgroup -a '!' -w /sys/fs/cgroup ']'
+ cgroup_add_service
+ for d in /sys/fs/cgroup/*
+ '[' -w /sys/fs/cgroup/net_cls/tasks ']'
+ printf %d 0
+ for d in /sys/fs/cgroup/*
+ '[' -w /sys/fs/cgroup/openrc/tasks ']'
+ printf %d 0
+ for d in /sys/fs/cgroup/*
+ '[' -w /sys/fs/cgroup/unified/tasks ']'
+ openrc_cgroup=/sys/fs/cgroup/openrc
+ '[' -d /sys/fs/cgroup/openrc ']'
+ cgroup=/sys/fs/cgroup/openrc/logitechmediaserver
+ mkdir -p /sys/fs/cgroup/openrc/logitechmediaserver
+ '[' -w /sys/fs/cgroup/openrc/logitechmediaserver/tasks ']'
+ printf %d 0
++ command -v cgroup_set_limits
+ '[' cgroup_set_limits = cgroup_set_limits ']'
+ cgroup_set_limits
+ local blkio=
+ '[' -n '' ']'
+ local cpu=
+ '[' -n '' ']'
+ local cpuacct=
+ '[' -n '' ']'
+ local cpuset=
+ '[' -n '' ']'
+ local devices=
+ '[' -n '' ']'
+ local hugetlb=
+ '[' -n '' ']'
+ local memory=
+ '[' -n '' ']'
+ local net_cls=
+ '[' -n '' ']'
+ local net_prio=
+ '[' -n '' ']'
+ local pids=
+ '[' -n '' ']'
+ return 0
++ command -v cgroup2_set_limits
+ '[' cgroup2_set_limits = cgroup2_set_limits ']'
+ '[' start = start ']'
+ cgroup2_set_limits
+ local cgroup_path
++ cgroup2_find_path
++ grep -qw cgroup2 /proc/filesystems
++ case "${rc_cgroup_mode:-hybrid}" in
++ printf /sys/fs/cgroup/unified
++ return 0
+ cgroup_path=/sys/fs/cgroup/unified
+ '[' -d /sys/fs/cgroup/unified ']'
+ rc_cgroup_path=/sys/fs/cgroup/unified/logitechmediaserver
+ '[' '!' -d /sys/fs/cgroup/unified/logitechmediaserver ']'
+ mkdir /sys/fs/cgroup/unified/logitechmediaserver
+ '[' -f /sys/fs/cgroup/unified/logitechmediaserver/cgroup.procs ']'
+ printf 0
+ '[' -z '' ']'
+ return 0
+ break
+ read _d
+ eval 'printf '\''%s\n'\'' '
++ printf '%s\n'
+ '[' -n '' ']'
+ read _d
+ '[' 0 -ne 0 ']'
+ unset _d
+ read _f
+ eval 'printf '\''%s\n'\'' '
++ printf '%s\n'
+ '[' -n '' ']'
+ read _f
+ '[' 0 -ne 0 ']'
+ unset _f
+ '[' -n '' ']'
+ '[' -n start ']'
+ '[' start = depend ']'
+ for _cmd in describe start stop status ${extra_commands:-$opts} $extra_started_commands $extra_stopped_commands
+ '[' describe = start ']'
+ for _cmd in describe start stop status ${extra_commands:-$opts} $extra_started_commands $extra_stopped_commands
+ '[' start = start ']'
++ command -v start
+ '[' start = start ']'
+ yesno
+ '[' -z '' ']'
+ return 1
+ for _cmd in $extra_stopped_commands
+ '[' cgroup_cleanup = start ']'
+ unset _cmd
+ case $1 in
+ verify_boot
+ '[' '!' -e /run/openrc/softlevel ']'
+ return 0
++ command -v start_pre
+ '[' start_pre = start_pre ']'
+ start_pre
+ checkpath -q -d -o logitechmediaserver:logitechmediaserver -m 0770 /run/logitechmediaserver
+ start
+ ebegin 'Starting Logitech Media Server'
* Starting Logitech Media Server ...
+ cd /
+ start-stop-daemon --start --exec /opt/logitechmediaserver/slimserver.pl --pidfile /run/logitechmediaserver/logitechmediaserver.pid --user logitechmediaserver --background -- --quiet --pidfile=/run/logitechmediaserver/logitechmediaserver.pid --cachedir=/var/lib/logitechmediaserver/cache --prefsdir=/var/lib/logitechmediaserver/preferences --logdir=/var/log/logitechmediaserver
+ eend 0 'Failed to start Logitech Media Server' [ ok ]
++ command -v start_post
+ '[' '' = start_post ']'
++ command -v cgroup_cleanup
+ '[' cgroup_cleanup = cgroup_cleanup ']'
+ '[' start = stop ']'
++ command -v cgroup2_remove
+ '[' cgroup2_remove = cgroup2_remove ']'
+ '[' start = stop ']'
+ '[' -z '' ']'
+ cgroup2_remove
+ local cgroup_path rc_cgroup_path
++ cgroup2_find_path
++ grep -qw cgroup2 /proc/filesystems
++ case "${rc_cgroup_mode:-hybrid}" in
++ printf /sys/fs/cgroup/unified
++ return 0
+ cgroup_path=/sys/fs/cgroup/unified
+ '[' -z /sys/fs/cgroup/unified ']'
+ rc_cgroup_path=/sys/fs/cgroup/unified/logitechmediaserver
+ '[' '!' -d /sys/fs/cgroup/unified/logitechmediaserver ']'
+ '[' '!' -e /sys/fs/cgroup/unified/logitechmediaserver/cgroup.events ']'
+ grep -qx 6639 /sys/fs/cgroup/unified/logitechmediaserver/cgroup.procs
+ printf %d 0
+ local key populated vvalue
+ read -r key value
+ case "${key}" in
+ populated=1
+ read -r key value
+ '[' 1 = 1 ']'
+ return 0
+ shift
+ continue 2
+ '[' -n '' ']'
+ exit 0
Re: Bubbagen and logitechmediaserver-bin (Solved)
Not seeing any errors there. The ones in /opt/logitechmediaserver/Logs/server.log are obvious old (2016) and likely the result from trying to run slimserver.pl directly from the command line.
What version of bubbagen are you running? It could be a perl module incompatibility, which would also explain why the server.log file is not created, but the only way to be able to see that is to run LMS in console mode:
What version of bubbagen are you running? It could be a perl module incompatibility, which would also explain why the server.log file is not created, but the only way to be able to see that is to run LMS in console mode:
Code: Select all
su -s /bin/bash logitechmediaserver
perl /opt/logitechmediaserver/slimserver.pl --pidfile=/run/logitechmediaserver/logitechmediaserver.pid --cachedir=/var/lib/logitechmediaserver/cache --prefsdir=/var/lib/logitechmediaserver/preferences --logdir=/var/log/logitechmediaserver
Re: Bubbagen and logitechmediaserver-bin (Solved)
Bubbagen Ver: 1.11.0Gordon wrote: 29 Oct 2018, 12:50 Not seeing any errors there. The ones in /opt/logitechmediaserver/Logs/server.log are obvious old (2016) and likely the result from trying to run slimserver.pl directly from the command line.
What version of bubbagen are you running? It could be a perl module incompatibility, which would also explain why the server.log file is not created, but the only way to be able to see that is to run LMS in console mode:
Code: Select all
su -s /bin/bash logitechmediaserver perl /opt/logitechmediaserver/slimserver.pl --pidfile=/run/logitechmediaserver/logitechmediaserver.pid --cachedir=/var/lib/logitechmediaserver/cache --prefsdir=/var/lib/logitechmediaserver/preferences --logdir=/var/log/logitechmediaserver
Her is the log.

Code: Select all
perl /opt/logitechmediaserver/slimserver.pl --pidfile=/run/logitechmediaserver/logitechmediaserver.pid --cachedir=/var/lib/logitechmediaserver/cache --prefsdir=/var/lib/logitechmediaserver/preferences --logdir=/var/log/logitechmediaserver
The following CPAN modules were found but cannot work with Logitech Media Server:
Image::Scale (loaded 0.13, need 0.08)
To fix this problem you have several options:
1. Install the latest version of the module(s) using CPAN: sudo cpan Some::Module
2. Update the module's package using apt-get, yum, etc.
3. Run the .tar.gz version of Logitech Media Server which includes all required CPAN modules.
Re: Bubbagen and logitechmediaserver-bin (Solved)
That's weird. 0.13 is the correct version for the `_p3` installation and in the older `_p2` installation it is also not version 0.08 but 0.11. That said it does appear I should make some changes to the binary release because the `_p3` is bound to fail in a similar way on installations that did not upgrade to profile 17.
Unsure why it would fail on yours though. Most particular with the message that it wants version 0.08. Can you do a system scan on file names `Scale.pm` and `Scale.so`?
Unsure why it would fail on yours though. Most particular with the message that it wants version 0.08. Can you do a system scan on file names `Scale.pm` and `Scale.so`?
-
- Posts: 25
- Joined: 23 Jan 2007, 05:18
Re: Bubbagen and logitechmediaserver-bin (Solved)
Thank you - I really appreciate your effortGordon wrote: 28 Oct 2018, 13:38 Aha. That is wrong indeed. Strange that it didn't pop up during testing here.
The `ptable` variable is only created in the block from lines 102-112, so that block should be moved up to start at line 93. I'll fix that shortly.

Johan
---------------------------------
---------------------------------
Re: Bubbagen and logitechmediaserver-bin (Solved)
Here it is.Gordon wrote: 29 Oct 2018, 15:39 That's weird. 0.13 is the correct version for the `_p3` installation and in the older `_p2` installation it is also not version 0.08 but 0.11. That said it does appear I should make some changes to the binary release because the `_p3` is bound to fail in a similar way on installations that did not upgrade to profile 17.
Unsure why it would fail on yours though. Most particular with the message that it wants version 0.08. Can you do a system scan on file names `Scale.pm` and `Scale.so`?
Code: Select all
b3 ~ # find / -iname 'Scale.pm' -o -iname 'Scale.so'
/opt/logitechmediaserver/CPAN/Image/Scale.pm
/opt/logitechmediaserver/CPAN/arch/5.24/armv5tel-linux-thread-multi/auto/Image/Scale/Scale.so
/opt/logitechmediaserver/CPAN/arch/5.20/armv5tel-linux-thread-multi/auto/Image/Scale/Scale.so
b3 ~ # ls -al /opt/logitechmediaserver/CPAN/Image/Scale.pm
-rw-r--r-- 1 root root 10278 Oct 19 14:21 /opt/logitechmediaserver/CPAN/Image/Scale.pm
b3 ~ # ls -al /opt/logitechmediaserver/CPAN/arch/5.24/armv5tel-linux-thread-multi/auto/Image/Scale/Scale.so
-rwxr-xr-x 1 root root 75760 Oct 19 14:21 /opt/logitechmediaserver/CPAN/arch/5.24/armv5tel-linux-thread-multi/auto/Image/Scale/Scale.so
b3 ~ # ls -al /opt/logitechmediaserver/CPAN/arch/5.20/armv5tel-linux-thread-multi/auto/Image/Scale/Scale.so
-rwxr-xr-x 1 root root 75772 May 18 2016 /opt/logitechmediaserver/CPAN/arch/5.20/armv5tel-linux-thread-multi/auto/Image/Scale/Scale.so
Code: Select all
b3 ~ #mount /dev/sdb3 /mnt/usbstick
b3 ~ # find /mnt/ -iname 'Scale.pm' -o -iname 'Scale.so'
/mnt/usbstick/opt/logitechmediaserver/CPAN/Image/Scale.pm
/mnt/usbstick/opt/logitechmediaserver/CPAN/arch/5.20/armv5tel-linux-thread-multi/auto/Image/Scale/Scale.so
/mnt/usbstick/opt/logitechmediaserver/CPAN/arch/5.24/armv5tel-linux-thread-multi/auto/Image/Scale/Scale.so
b3 ~ # ls -al /mnt/usbstick/opt/logitechmediaserver/CPAN/Image/Scale.pm
-rw-r--r-- 1 root root 10326 Apr 13 2017 /mnt/usbstick/opt/logitechmediaserver/CPAN/Image/Scale.pm
b3 ~ # ls -al /mnt/usbstick/opt/logitechmediaserver/CPAN/arch/5.20/armv5tel-linux-thread-multi/auto/Image/Scale/Scale.so
-rwxr-xr-x 1 root root 75772 May 18 2016 /mnt/usbstick/opt/logitechmediaserver/CPAN/arch/5.20/armv5tel-linux-thread-multi/auto/Image/Scale/Scale.so
b3 ~ # ls -al /mnt/usbstick/opt/logitechmediaserver/CPAN/arch/5.24/armv5tel-linux-thread-multi/auto/Image/Scale/Scale.so
-rwxr-xr-x 1 root root 76156 Apr 13 2017 /mnt/usbstick/opt/logitechmediaserver/CPAN/arch/5.24/armv5tel-linux-thread-multi/auto/Image/Scale/Scale.so